org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideURL.APIv3

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideURL.APIv3

- Enclosing class:
    StreetsideURL

      public static final class StreetsideURL.APIv3
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `APIv3()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.net.URL` | `parseNextFromLinkHeaderValue(java.lang.String value)` The APIv3 returns a Link header for each request.
    `static java.lang.String` | `queryStreetsideString(org.openstreetmap.josm.data.Bounds bounds)`
    `static java.lang.String` | `queryString(org.openstreetmap.josm.data.Bounds bounds)`
    `static java.net.URL` | `searchStreetsideImages(org.openstreetmap.josm.data.Bounds bounds)`
    `static java.net.URL` | `searchStreetsideSequences(org.openstreetmap.josm.data.Bounds bounds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### APIv3

          private APIv3()

  - ### Method Detail

    - #### searchStreetsideImages

          public static java.net.URL searchStreetsideImages(org.openstreetmap.josm.data.Bounds bounds)

    - #### searchStreetsideSequences

          public static java.net.URL searchStreetsideSequences(org.openstreetmap.josm.data.Bounds bounds)

    - #### parseNextFromLinkHeaderValue

          public static java.net.URL parseNextFromLinkHeaderValue(java.lang.String value)

      The APIv3 returns a Link header for each request. It contains a URL for requesting more results. If you supply the value of the Link header, this method returns the next URL, if such a URL is defined in the header.
      Parameters:
        `value` - the value of the HTTP-header with key "Link"
      Returns:
        the `URL` for the next result page, or `null` if no such URL could be found

    - #### queryString

          public static java.lang.String queryString(org.openstreetmap.josm.data.Bounds bounds)

    - #### queryStreetsideString

          public static java.lang.String queryStreetsideString(org.openstreetmap.josm.data.Bounds bounds)

JOSM Plugins